{% include custom/sidebarconfigs.html %}

<ul id="mysidebar" class="nav">

    <li class="sidebarTitle">{{sidebar[0].product}}</li>

    {% if sidebar[0].url %}
        <li><a href="{{sidebar[0].url | remove: "/"}}"class>{{sidebar[0].title}}</a></li>
    {% endif %}
    {% for entry in sidebar %}
    {% for folder in entry.folders %}
    <li>
        <a href="#" class="active">{{ folder.title }}</a>
        <ul>
            {% for folderitem in folder.folderitems %}
            {% if folderitem.external_url %}
            <li><a href="{{folderitem.external_url}}" target="_blank">{{folderitem.title}}</a></li>
            {% elsif page.url == folderitem.url %}
            <li class="active"><a href="{{folderitem.url | remove: "/"}}">{{folderitem.title}}</a></li>
            {% else %}
            <li><a href="{{folderitem.url | remove: "/"}}">{{folderitem.title}}</a></li>
            {% endif %}
            {% for subfolders in folderitem.subfolders %}
            <li class="subfolders">
                <a href="#">{{ subfolders.title }}</a>
                <ul>
                    {% for subfolderitem in subfolders.subfolderitems %}
                    {% if subfolderitem.external_url %}
                    <li><a href="{{subfolderitem.external_url}}" target="_blank">{{subfolderitem.title}}</a></li>
                    {% elsif page.url == subfolderitem.url %}
                    <li class="active"><a href="{{subfolderitem.url | remove: "/"}}">{{subfolderitem.title}}</a></li>
                    {% else %}
                    <li><a href="{{subfolderitem.url | remove: "/"}}">{{subfolderitem.title}}</a></li>
                    {% endif %}
                    {% endfor %}
                </ul>
            </li>
            {% endfor %}
            {% endfor %}
        </ul>
        {% endfor %}
        {% endfor %}
        <!-- if you aren't using the accordion, uncomment this block:
           <p class="external">
               <a href="#" id="collapseAll">(-)</a> | <a href="#" id="expandAll">(+)</a>
           </p -->
           
    </li>
</ul>
</div>


<script>
{% for entry in sidebar %}
    {% if entry.expand == true %}    
            $("#mysidebar").navgoco('toggle', true);            
    {% endif %}    
{% endfor %}
</script>            

<!-- this highlights the active parent class in the navgoco sidebar. this is critical so that the parent expands when you're viewing a page. This must appear below the sidebar code above. Otherwise, if placed inside customscripts.js, the script runs before the sidebar code runs and the class never gets inserted.-->
<script>$("li.active").parents('li').toggleClass("active");</script>
